Name:        task-codec
Version:     6
Release:     %mkrel 1
Summary:     Meta-package for easy installation of multimedia codecs
Group:       System/Libraries
License:     GPLv2+ GPLv3+
URL:         http://www.mageia.org

%description
This meta package permit to install easily all the codecs at once.

%package -n task-codec-audio
Summary:     Meta-package for easy installation of audio codecs
Group:       Sound/Editors and Converters

#Misc Audio codecs
Recommends:    ffmpeg2theora
Recommends:    flac
Recommends:    twolame
Recommends:    mp3gain
Recommends:    speex
Recommends:    vorbis-tools
Recommends:    vorbisgain

#Gstreamer0.10 Audio codecs
Recommends:    gstreamer0.10-musepack

#Gstreamer1.0 Audio codecs
Recommends:    gstreamer1.0-a52dec
Recommends:    gstreamer1.0-cdio
Recommends:    gstreamer1.0-cdparanoia
Recommends:    gstreamer1.0-flac
Recommends:    gstreamer1.0-gme
Recommends:    gstreamer1.0-gsm
Recommends:    gstreamer1.0-pulse
Recommends:    gstreamer1.0-speex
Recommends:    gstreamer1.0-twolame
Recommends:    gstreamer1.0-voip
Recommends:    gstreamer1.0-wavpack

#Audio and Video codecs
Recommends:    ffmpeg
Recommends:    gstreamer0.10-mms
Recommends:    gstreamer0.10-plugins-ugly
Recommends:    gstreamer1.0-farstream
Recommends:    gstreamer1.0-libav
Recommends:    gstreamer1.0-mms
Recommends:    gstreamer1.0-plugins-bad
Recommends:    gstreamer1.0-plugins-base
Recommends:    gstreamer1.0-plugins-good
Recommends:    gstreamer1.0-plugins-ugly
Recommends:    gstreamer1.0-rtmp
Recommends:    gstreamer1.0-tools

%if "%{?distro_section}" == "tainted"

#Misc Audio Tainted codecs
Recommends:    faad2
Recommends:    lame

#Gstreamer0.10 Audio Tainted codecs
Recommends:    gstreamer0.10-faad
Recommends:    gstreamer0.10-lame

#Gstreamer1.0 Audio Tainted codecs
Recommends:    gstreamer1.0-amrnb
Recommends:    gstreamer1.0-dts
Recommends:    gstreamer1.0-faad
Recommends:    gstreamer1.0-lame

#Libs Audio Tainted codecs
Recommends:    libdca-tools
Recommends:    libquicktime-faad
Recommends:    libquicktime-lame

%endif

%description -n task-codec-audio
This meta package permit to install easily all the audio codecs at once.

%package -n task-codec-video
Summary:    Meta-package for easy installation of video codecs
Group:      Video/Editors and Converters

#Misc Video codecs
Recommends:    a52dec
Recommends:    mpeg2dec

#Gstreamer0.10 Video codecs
Recommends:    gstreamer0.10-dirac
Recommends:    gstreamer0.10-resindvd

#Gstreamer1.0 Video codecs
Recommends:    gstreamer1.0-dv
Recommends:    gstreamer1.0-mpeg

#Libs Video codecs
Recommends:    libquicktime-dv

#Audio and Video codecs
Recommends:    ffmpeg
Recommends:    gstreamer0.10-mms
Recommends:    gstreamer0.10-plugins-ugly
Recommends:    gstreamer1.0-farstream
Recommends:    gstreamer1.0-libav
Recommends:    gstreamer1.0-mms
Recommends:    gstreamer1.0-plugins-bad
Recommends:    gstreamer1.0-plugins-base
Recommends:    gstreamer1.0-plugins-good
Recommends:    gstreamer1.0-plugins-ugly
Recommends:    gstreamer1.0-rtmp
Recommends:    gstreamer1.0-tools
Recommends:    %arch_tagged gstreamer1(element-vaapidecode)

%if "%{?distro_section}" == "tainted"

#Misc Video Tainted codecs
Recommends:    x264
#Gstreamer0.10 Video Tainted codecs
Recommends:    gstreamer0.10-xvid
#Gstreamer1.0 Video Tainted codecs
Recommends:    gstreamer1.0-x264
Recommends:    gstreamer1.0-x265
#Libs Video Tainted codecs
Recommends:    %{_lib}xvid4
Recommends:    %{_lib}dvdcss2
Recommends:    %{_lib}quicktime0
Recommends:    libquicktime-x264

%endif

%description -n task-codec-video
This meta package permit to install easily all the video codecs at once.

%files -n task-codec-audio

%files -n task-codec-video



%changelog
* Sat Mar 18 2017 akien <akien> 6-1.mga6.tainted
+ Revision: 1093541
- Bump version for Mageia 6
- Do not recommend obsoleted gstreamer0.10-ffmpeg

* Wed Dec 23 2015 ovitters <ovitters> 4-9.mga6.tainted
+ Revision: 913845
- bump rel for tainted

* Wed Dec 23 2015 ovitters <ovitters> 4-8.mga6
+ Revision: 913841
- not noarch anymore

* Tue Dec 22 2015 ovitters <ovitters> 4-7.mga6.tainted
+ Revision: 913580
+ rebuild (emptylog)

* Tue Dec 22 2015 ovitters <ovitters> 4-6.mga6
+ Revision: 913300
- recommend vaapi

* Sat Oct 10 2015 ovitters <ovitters> 4-6.mga6.tainted
+ Revision: 888697
- bump rel for tainted rebuild

* Sat Oct 10 2015 ovitters <ovitters> 4-5.mga6
+ Revision: 888693
- recommend gstreamer1.0-x265

* Fri Jan 02 2015 akien <akien> 4-4.mga5.tainted
+ Revision: 808030
- Add gstreamer{0.10-1.0}-faad

* Wed Oct 15 2014 umeabot <umeabot> 4-3.mga5.tainted
+ Revision: 747624
- Second Mageia 5 Mass Rebuild

* Mon Sep 15 2014 tv <tv> 4-2.mga5.tainted
+ Revision: 676227
- s/uggests:/Recommends:/

* Mon Oct 21 2013 umeabot <umeabot> 4-2.mga4.tainted
+ Revision: 541005
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 diogenese <diogenese> 4-1.mga4.tainted
+ Revision: 494707
- Importing task-codec (initial spec by Adrien_D)

